Package org.eclipse.cdt.utils.coff

# Class Coff64.Symbol

java.lang.Object
org.eclipse.cdt.utils.coff.Coff64.Symbol

Enclosing class:
  `Coff64`

public static class Coff64.Symbol extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`byte[]`
`_n_name`
`static final int`
`DT_ARY`
`static final int`
`DT_FCN`
`static final int`
`DT_NON`
`static final int`
`DT_PTR`
`int`
`n_aux_fcn_size`
`short`
`n_aux_lnno`
`short`
`n_aux_size`
`static final int`
`N_BTSHFT`
`byte`
`n_numaux`
`byte`
`n_sclass`
`short`
`n_scnum`
`static final int`
`N_TMASK`
`static final int`
`N_TSHIFT`
`int`
`n_type`
`int`
`n_value`
`static final int`
`SC_EXTERNAL`
`static final int`
`SYMNMLEN`
`static final int`
`SYMSZ`
`static final int`
`T_CHAR`
`static final int`
`T_DOUBLE`
`static final int`
`T_ENUM`
`static final int`
`T_FLOAT`
`static final int`
`T_INT`
`static final int`
`T_LNGDBL`
`static final int`
`T_LONG`
`static final int`
`T_MOE`
`static final int`
`T_NULL`
`static final int`
`T_SHORT`
`static final int`
`T_STRUCT`
`static final int`
`T_UCHAR`
`static final int`
`T_UINT`
`static final int`
`T_ULONG`
`static final int`
`T_UNION`
`static final int`
`T_USHORT`
`static final int`
`T_VOID`

## Constructor Summary

Constructors
Constructor
Description
`Symbol(RandomAccessFile file)`
`Symbol(RandomAccessFile file, boolean is64Bit)`
`Symbol(RandomAccessFile file, long offset)`
`Symbol(RandomAccessFile file, long offset, boolean is64Bit)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`getName(byte[] table)`
`int`
`getSize()`
`boolean`
`isArray()`
`boolean`
`isFunction()`
`boolean`
`isLongName()`
`boolean`
`isNoSymbol()`
`boolean`
`isPointer()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SYMSZ

public static final int SYMSZ

See Also:
  - Constant Field Values

### SYMNMLEN

public static final int SYMNMLEN

See Also:
  - Constant Field Values

### DT_NON

public static final int DT_NON

See Also:
  - Constant Field Values

### DT_PTR

public static final int DT_PTR

See Also:
  - Constant Field Values

### DT_FCN

public static final int DT_FCN

See Also:
  - Constant Field Values

### DT_ARY

public static final int DT_ARY

See Also:
  - Constant Field Values

### N_TMASK

public static final int N_TMASK

See Also:
  - Constant Field Values

### N_BTSHFT

public static final int N_BTSHFT

See Also:
  - Constant Field Values

### N_TSHIFT

public static final int N_TSHIFT

See Also:
  - Constant Field Values

### T_NULL

public static final int T_NULL

Since:
  5.3
See Also:
  - Constant Field Values

### T_VOID

public static final int T_VOID

Since:
  5.3
See Also:
  - Constant Field Values

### T_CHAR

public static final int T_CHAR

Since:
  5.3
See Also:
  - Constant Field Values

### T_SHORT

public static final int T_SHORT

Since:
  5.3
See Also:
  - Constant Field Values

### T_INT

public static final int T_INT

Since:
  5.3
See Also:
  - Constant Field Values

### T_LONG

public static final int T_LONG

Since:
  5.3
See Also:
  - Constant Field Values

### T_FLOAT

public static final int T_FLOAT

Since:
  5.3
See Also:
  - Constant Field Values

### T_DOUBLE

public static final int T_DOUBLE

Since:
  5.3
See Also:
  - Constant Field Values

### T_STRUCT

public static final int T_STRUCT

Since:
  5.3
See Also:
  - Constant Field Values

### T_UNION

public static final int T_UNION

Since:
  5.3
See Also:
  - Constant Field Values

### T_ENUM

public static final int T_ENUM

Since:
  5.3
See Also:
  - Constant Field Values

### T_MOE

public static final int T_MOE

Since:
  5.3
See Also:
  - Constant Field Values

### T_UCHAR

public static final int T_UCHAR

Since:
  5.3
See Also:
  - Constant Field Values

### T_USHORT

public static final int T_USHORT

Since:
  5.3
See Also:
  - Constant Field Values

### T_UINT

public static final int T_UINT

Since:
  5.3
See Also:
  - Constant Field Values

### T_ULONG

public static final int T_ULONG

Since:
  5.3
See Also:
  - Constant Field Values

### T_LNGDBL

public static final int T_LNGDBL

Since:
  5.3
See Also:
  - Constant Field Values

### SC_EXTERNAL

public static final int SC_EXTERNAL

Since:
  8.4
See Also:
  - Constant Field Values

### _n_name

public byte[] _n_name

### n_value

public int n_value

### n_scnum

public short n_scnum

### n_type

public int n_type

### n_sclass

public byte n_sclass

### n_numaux

public byte n_numaux

### n_aux_lnno

public short n_aux_lnno

Since:
  5.4

### n_aux_size

public short n_aux_size

Since:
  5.4

### n_aux_fcn_size

public int n_aux_fcn_size

Since:
  5.4

## Constructor Details

### Symbol

public Symbol(RandomAccessFile file) throws IOException

Throws:
  `IOException`

### Symbol

public Symbol(RandomAccessFile file, long offset) throws IOException

Throws:
  `IOException`

### Symbol

public Symbol(RandomAccessFile file, boolean is64Bit) throws IOException

Throws:
  `IOException`
Since:
  5.4

### Symbol

public Symbol(RandomAccessFile file, long offset, boolean is64Bit) throws IOException

Throws:
  `IOException`
Since:
  5.4

## Method Details

### isLongName

public boolean isLongName()

### getName

public String getName()

### getName

public String getName(byte[] table)

### isNoSymbol

public boolean isNoSymbol()

Since:
  5.3

### isPointer

public boolean isPointer()

### isFunction

public boolean isFunction()

### isArray

public boolean isArray()

### getSize

public int getSize()

Since:
  5.4

### toString

public String toString()

Overrides:
  `toString` in class `Object`